<?php
 // Saisie des données initiales 
 echo "Capital: "                   ;
 fscanf(STDIN,"%f",$Capital)        ;
 echo "Nombre d'années : "          ;
 fscanf(STDIN,"%d",$NbAn)           ;
 printf("Taux de l'Assurance (0.29) :")  ;
 fscanf(STDIN,"%f",$TauxAssurance)  ;
 echo "Taux Annuel Hors Assurance le plus bas (ex : 2.6) : " ;
 fscanf(STDIN,"%f",$TauxAnnuel_Min) ;
 echo "Taux Annuel Hors Assurance le plus haut(ex : 3.6) : " ;
 fscanf(STDIN,"%f",$TauxAnnuel_Max) ;
 echo "Pas de progression du taux (ex : 0.1) : " ;
 fscanf(STDIN,"%f",$TauxAnnuel_Pas) ;

 // --- on effectue les calculs et on affiche les résultats ---
 $NbMois = $NbAn*12 ;
 $CoutAss = round((($Capital*($TauxAssurance/100))/12),2);
 for ($TauxAnnuel=$TauxAnnuel_Min ; $TauxAnnuel<=($TauxAnnuel_Max+$TauxAnnuel_Pas) ; $TauxAnnuel+=$TauxAnnuel_Pas)
 {
  $TauxMensuel  = ($TauxAnnuel/100)/12                   ;
  $calcul1      = $Capital*$TauxMensuel                  ;
  $calcul2      = pow((1+$TauxMensuel),$NbMois)          ;
  $calcul3      = $calcul2-1                             ;

  $MensualiteHA = round(($calcul1*($calcul2/$calcul3)),2);
  $MensualiteAC = $MensualiteHA+$CoutAss                 ;
  $CoutCredit   = ($MensualiteHA*$NbMois)-$Capital       ;
  $PourcentCout = round(($CoutCredit/$Capital)*100,2)    ;
  // Affichage des résultats
  echo "--- Simulation avec Taux      = $TauxAnnuel ---".PHP_EOL;
  echo "Mensualité Assurance Comprise : ".$MensualiteAC.PHP_EOL;
  echo "Coût de l'Assurance par mois  : ".$CoutAss.PHP_EOL;
  echo "Coût du crédit en €           : ".$CoutCredit.PHP_EOL;
  echo "Coût du crédit en %           : ".$PourcentCout.PHP_EOL;
 }
?>

